CPU (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.CPU interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface CPU

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface CPU

extends CIMSystem, Version, ConfigurationItem

Naming Rules:
  0="parent" 1="boardParent,identifyingNumber"
Persistable:
  true
Table Name:
  CPU
Display Name:
  parent

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Board` | `getBoardParent()`
`int` | `getCPUCoresEnabled()`
`int` | `getCPUCoresInstalled()`
`int` | `getCPUDiesEnabled()`
`int` | `getCPUDiesInstalled()`
`CPUResourcePool` | `getCpuresourcepool()`
`long` | `getCPUSpeed()`
`java.lang.String` | `getCPUType()`
`int` | `getExternalCache()` Represents the external CPU cache size.
`int` | `getIdentifyingNumber()`
`java.lang.String` | `getManufacturer()`
`int` | `getNumCPUs()`
`ComputerSystem` | `getParent()`
`boolean` | `hasBoardParent()`
`boolean` | `hasCPUCoresEnabled()`
`boolean` | `hasCPUCoresInstalled()`
`boolean` | `hasCPUDiesEnabled()`
`boolean` | `hasCPUDiesInstalled()`
`boolean` | `hasCpuresourcepool()`
`boolean` | `hasCPUSpeed()`
`boolean` | `hasCPUType()`
`boolean` | `hasExternalCache()`
`boolean` | `hasIdentifyingNumber()`
`boolean` | `hasManufacturer()`
`boolean` | `hasNumCPUs()`
`boolean` | `hasParent()`
`void` | `setBoardParent(Board x)`
`void` | `setCPUCoresEnabled(int i)`
`void` | `setCPUCoresInstalled(int i)`
`void` | `setCPUDiesEnabled(int i)`
`void` | `setCPUDiesInstalled(int i)`
`void` | `setCpuresourcepool(CPUResourcePool x)`
`void` | `setCPUSpeed(long l)`
`void` | `setCPUType(java.lang.String s)`
`void` | `setExternalCache(int x)`
`void` | `setIdentifyingNumber(int x)`
`void` | `setManufacturer(java.lang.String m)`
`void` | `setNumCPUs(int i)`
`void` | `setParent(ComputerSystem parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Returns:
    Computer system which contains this CPU
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getManufacturer

    java.lang.String getManufacturer()
                                     throws AttributeNotSetException

  Returns:
    Manufactuer of this CPU
  Throws:
    `AttributeNotSetException`

### setManufacturer

    void setManufacturer(java.lang.String m)

### hasManufacturer

    boolean hasManufacturer()

### getNumCPUs

    int getNumCPUs()
                   throws AttributeNotSetException

  Returns:
    Total number of CPUs on the computer system
  Throws:
    `AttributeNotSetException`

### setNumCPUs

    void setNumCPUs(int i)

### hasNumCPUs

    boolean hasNumCPUs()

### getCPUType

    java.lang.String getCPUType()
                                throws AttributeNotSetException

  Returns:
    CPU type
  Throws:
    `AttributeNotSetException`

### setCPUType

    void setCPUType(java.lang.String s)

### hasCPUType

    boolean hasCPUType()

### getCPUSpeed

    long getCPUSpeed()
                     throws AttributeNotSetException

  Returns:
    CPU speed
  Throws:
    `AttributeNotSetException`

### setCPUSpeed

    void setCPUSpeed(long l)

### hasCPUSpeed

    boolean hasCPUSpeed()

### getCPUDiesInstalled

    int getCPUDiesInstalled()
                            throws AttributeNotSetException

  Returns:
    Number of physical CPU chips
  Throws:
    `AttributeNotSetException`

### setCPUDiesInstalled

    void setCPUDiesInstalled(int i)

### hasCPUDiesInstalled

    boolean hasCPUDiesInstalled()

### getCPUDiesEnabled

    int getCPUDiesEnabled()
                          throws AttributeNotSetException

  Returns:
    Number of physical CPU chips enables
  Throws:
    `AttributeNotSetException`

### setCPUDiesEnabled

    void setCPUDiesEnabled(int i)

### hasCPUDiesEnabled

    boolean hasCPUDiesEnabled()

### getCPUCoresInstalled

    int getCPUCoresInstalled()
                             throws AttributeNotSetException

  Returns:
    Logical number of CPUs
  Throws:
    `AttributeNotSetException`

### setCPUCoresInstalled

    void setCPUCoresInstalled(int i)

### hasCPUCoresInstalled

    boolean hasCPUCoresInstalled()

### getCPUCoresEnabled

    int getCPUCoresEnabled()
                           throws AttributeNotSetException

  Returns:
    Logical number of CPUs enabled
  Throws:
    `AttributeNotSetException`

### setCPUCoresEnabled

    void setCPUCoresEnabled(int i)

### hasCPUCoresEnabled

    boolean hasCPUCoresEnabled()

### getExternalCache

    int getExternalCache()
                         throws AttributeNotSetException

  Represents the external CPU cache size. Unit of Measure: Megabytes (Mb) Acceptable range: 0 - 2147483647

  Throws:
    `AttributeNotSetException`

### setExternalCache

    void setExternalCache(int x)

### hasExternalCache

    boolean hasExternalCache()

### getIdentifyingNumber

    int getIdentifyingNumber()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIdentifyingNumber

    void setIdentifyingNumber(int x)

### hasIdentifyingNumber

    boolean hasIdentifyingNumber()

### getCpuresourcepool

    CPUResourcePool getCpuresourcepool()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DonatedTo" reverse="false"

### setCpuresourcepool

    void setCpuresourcepool(CPUResourcePool x)

### hasCpuresourcepool

    boolean hasCpuresourcepool()

### getBoardParent

    Board getBoardParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="true"

### setBoardParent

    void setBoardParent(Board x)

### hasBoardParent

    boolean hasBoardParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD